CREATE TABLE grc_tmp_global_user (
    ID                   NUMBER(19, 0) ,
    GLOBAL_USER_ID       NUMBER(19, 0) ,
    USER_NAME            VARCHAR2(400) ,
    DATA_SOURCE          VARCHAR2(400) ,
    FIRST_NAME           VARCHAR2(600) ,
    LAST_NAME            VARCHAR2(600) ,
    EMAIL_ADDRESS        VARCHAR2(960) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    USER_GUID            VARCHAR2(256) ,
    MIDDLE_NAME          VARCHAR2(320) ,
    DATE_OF_BIRTH        TIMESTAMP(6)  ,
    PHONE_NUMBER         VARCHAR2(240) ,
    HOME_ADDRESS         VARCHAR2(4000),
    HIRE_DATE            TIMESTAMP(6)  ,
    JOB_NAME             VARCHAR2(960) ,
    GRADE                VARCHAR2(960) ,
    BUSINESS_UNIT        VARCHAR2(960) ,
    DEPARTMENT           VARCHAR2(960) ,
    LEGAL_EMPLOYER       VARCHAR2(960) ,
    LOCATION             VARCHAR2(960) ,
    MANAGER              VARCHAR2(960) ,
    POSITION             VARCHAR2(960) ,
    GLOBAL_USER_NAME     VARCHAR2(400) ,
    IS_ACTIVE            NUMBER(1, 0)  ,
    DATA_SOURCE_ID       NUMBER(18, 0) ,
    ID                   NUMBER(19, 0) ,
    USER_NAME            VARCHAR2(400) ,
    FIRST_NAME           VARCHAR2(600) ,
    LAST_NAME            VARCHAR2(600) ,
    EMAIL_ADDRESS        VARCHAR2(960) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    USER_GUID            VARCHAR2(256) ,
    MIDDLE_NAME          VARCHAR2(320) ,
    DATE_OF_BIRTH        TIMESTAMP(6)  ,
    PHONE_NUMBER         VARCHAR2(240) ,
    HOME_ADDRESS         VARCHAR2(4000),
    HIRE_DATE            TIMESTAMP(6)  ,
    JOB_NAME             VARCHAR2(960) ,
    GRADE                VARCHAR2(960) ,
    BUSINESS_UNIT        VARCHAR2(960) ,
    DEPARTMENT           VARCHAR2(960) ,
    LEGAL_EMPLOYER       VARCHAR2(960) ,
    LOCATION             VARCHAR2(960) ,
    MANAGER              VARCHAR2(960) ,
    POSITION             VARCHAR2(960) ,
    GLOBAL_USER_NAME     VARCHAR2(400) ,
    IS_ACTIVE            NUMBER(1, 0)  ,
    GLOBAL_USER_ID       NUMBER(19, 0) ,
    DATA_SOURCE          VARCHAR2(400) ,
    DATA_SOURCE_ID       NUMBER(18, 0) ,
    CONSTRAINT pk_grc_tmp_global_user PRIMARY KEY (ID, ID)
);
